# Function and type index

## Parameters and constants

```@docs
SpeedyWeather.Parameters
SpeedyWeather.Constants
```

## Boundaries and boundary conditions

```@docs
SpeedyWeather.Boundaries
```

## Spherical harmonic transform

```@docs
SpeedyWeather.GeoSpectral
SpeedyWeather.SpectralTransform
SpeedyWeather.spectral
SpeedyWeather.spectral!
SpeedyWeather.gridded
SpeedyWeather.gridded!
SpeedyWeather.triangular_truncation
SpeedyWeather.roundup_fft
SpeedyWeather.spectral_truncation
SpeedyWeather.spectral_truncation!
SpeedyWeather.get_legendre_polynomials!
SpeedyWeather.∇²!
SpeedyWeather.∇²
SpeedyWeather.∇⁴!
SpeedyWeather.∇⁴
SpeedyWeather.∇⁻²!
SpeedyWeather.∇⁻²
SpeedyWeather.gradient_latitude!
SpeedyWeather.gradient_latitude
SpeedyWeather.gradient_longitude!
SpeedyWeather.gradient_longitude
SpeedyWeather.divergence_uvω_spectral
SpeedyWeather.ϵlm     
```

## Geometry

```@docs
SpeedyWeather.Geometry
SpeedyWeather.vertical_coordinates
SpeedyWeather.GenLogisticCoefs
SpeedyWeather.generalised_logistic
```

## Time stepping

```@docs
SpeedyWeather.time_stepping!
SpeedyWeather.time_step!
SpeedyWeather.first_timestep!
SpeedyWeather.leapfrog!
```